Skip to main content

Summary Analytics

This endpoint retrieves the analytics summary for a specified date range. The summary includes subscriber count, unsubscribe count, notifications sent, notifications viewed, notifications clicked, and the click-through rate (CTR). The response is in JSON format.

GET
 https://api.pushengage.com/apiv1/analytics/summary

Request Parameters​

Parameter NameTypeRequiredDescription
fromStringYesThe date from which the user wants summary analytics in ISO 8601 format (YYYY-MM-DD).
toStringYesThe date until which the user wants summary analytics in ISO 8601 format (YYYY-MM-DD).
group_byStringYesSpecifies how the analytics will be grouped (e.g., by days, weeks, or months).

Response Object​

Property NameTypeRequiredDescription
successBooleanYesIndicates whether the analytics summary request succeeded or not. Value can be 'true' or 'false'.
dataAnalytics[]YesDenotes the name of the analytics object.

Analytics Object​

Property NameTypeDescription
dateStringIndicates the date range for summary analytics.
subscriber_countNumberTotal number of new subscribers.
desktop_subscriber_countNumberTotal number of new desktop subscribers.
mobile_subscriber_countNumberTotal number of new mobile subscribers.
unsubscribed_countNumberTotal number of unsubscribed subscribers.
desktop_unsubscribed_countNumberTotal number of subscribers who unsubscribed from the desktop.
mobile_unsubscribed_countNumberTotal number of subscribers who unsubscribed from the mobile.
notification_sentNumberTotal number of notifications sent.
net_subscriber_sentNumberTotal number of notifications sent to subscribers.
view_countNumberTotal number of notifications viewed.
click_countNumberTotal number of notifications clicked.
ctrNumberClick Through Rate (click_count / view_count * 100).

Example​

Request​

curl -X GET \
'https://api.pushengage.com/apiv1/analytics/summary?from=2019-01-01&to=2019-04-01&group_by=day' \
-H 'Accept: */*' \
-H 'Accept-Encoding: gzip, deflate' \
-H 'Api-Key: <your_pushengage_api_key>' \
-H 'Cache-Control: no-cache' \
-H 'Connection: keep-alive' \
-H 'Content-Type: application/json' \

Response​

{
"success": true,
"data": [
{
"date": "2019-01-01",
"subscriber_count": 10207,
"desktop_subscriber_count": 1618,
"mobile_subscriber_count": 8589,
"unsubscribed_count": 9211,
"desktop_unsubscribed_count": 1497,
"mobile_unsubscribed_count": 7714,
"notification_sent": 7256,
"net_subscriber_sent": 11802527,
"view_count": 5369622,
"click_count": 118196,
"ctr": 2.2
}
]
}